package com.example.switchactivity;
import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends Activity {

	TextView resultFromAct2;
	EditText inputAct1;
	Button go;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		resultFromAct2 = (TextView)findViewById(R.id.resultFromAct2);
		inputAct1 = (EditText)findViewById(R.id.inputAct1);
		go = (Button)findViewById(R.id.go);
		go.setOnClickListener(goBtnListener);
	}
	
	private OnClickListener goBtnListener = new OnClickListener(){

		@Override
		public void onClick(View arg0) {
			Bundle bundle = new Bundle();
			bundle.putString("myText", inputAct1.getText().toString());
			startActivityForResult(new Intent(MainActivity.this, MainActivity2.class).putExtras(bundle), 0);
		}
		
	};
	
	@Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
    	super.onActivityResult(requestCode, resultCode, data);
    	if(requestCode == 0 && resultCode == RESULT_OK){
    		 Bundle bundle = data.getExtras();
    		 if(bundle!=null){
    			 Log.v("resultFromAct2", bundle.getString("resultFromAct2"));
    			 resultFromAct2.setText(bundle.getString("resultFromAct2"));
    		 }
    	}
    }
}